| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::rgbd::RgbdFrame Struct Reference
RGB-Depth Processing

`#include "rgbd.hpp"`

Inheritance diagram for cv::rgbd::RgbdFrame:

## Public Member Functions
| RgbdFrame ()
| RgbdFrame (const Mat &image, const Mat &depth, const Mat &mask=Mat(), const Mat &normals=Mat(), int ID=-1)
virtual | ~RgbdFrame ()
virtual void | release ()

## Static Public Member Functions
static Ptr< RgbdFrame > | create (const Mat &image=Mat(), const Mat &depth=Mat(), const Mat &mask=Mat(), const Mat &normals=Mat(), int ID=-1)

## Public Attributes
Mat | depth
int | ID
Mat | image
Mat | mask
Mat | normals

## Detailed Description

Object that contains a frame data.

## Constructor & Destructor Documentation

## § RgbdFrame() [1/2]

cv::rgbd::RgbdFrame::RgbdFrame | ( |  | ) |

## § RgbdFrame() [2/2]

cv::rgbd::RgbdFrame::RgbdFrame | ( | const Mat & | image,
|  | const Mat & | depth,
|  | const Mat & | mask = `Mat()`,
|  | const Mat & | normals = `Mat()`,
|  | int | ID = `-1`
| ) |  |

## § ~RgbdFrame()

virtual cv::rgbd::RgbdFrame::~RgbdFrame | ( |  | ) |
| virtual

## Member Function Documentation

## § create()

static Ptr<RgbdFrame> cv::rgbd::RgbdFrame::create | ( | const Mat & | image = `Mat()`,
|  | const Mat & | depth = `Mat()`,
|  | const Mat & | mask = `Mat()`,
|  | const Mat & | normals = `Mat()`,
|  | int | ID = `-1`
| ) |  |
| static

## § release()

virtual void cv::rgbd::RgbdFrame::release | ( |  | ) |
| virtual

Reimplemented in cv::rgbd::OdometryFrame.

## Member Data Documentation

## § depth

Mat cv::rgbd::RgbdFrame::depth

## § ID

int cv::rgbd::RgbdFrame::ID

## § image

Mat cv::rgbd::RgbdFrame::image

## § mask

Mat cv::rgbd::RgbdFrame::mask

## § normals

Mat cv::rgbd::RgbdFrame::normals

The documentation for this struct was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/rgbd/include/opencv2/rgbd.hpp